Subject: [Capwap] IEEE Review 10 - Configuration Consistency

From: "Saravanan Govindan" <[email-masked]>
Date: Wed, 1 Jun 2005 17:33:42 +0800

Section 5.1.4 - Configuration Consistency (Description, Requirement)

Comment:

Section title is inconsistent with stated requirement. 

Proposed Change:

Configuration consistency is identified as an issue arising from lack of
appropriate monitoring. This is brought out in the description and
requirement.  

Description: 
"WLANs in the CAPWAP framework contain numerous WTPs, each of which need
to be configured and managed in a consistent manner.  The main concern
in ensuring consistency is availability of appropriate information
corresponding to WTP configuration states.  So configuration consistency
can be achieved by providing the centralized WLAN controller with
regular updates on the state of WTP operations.  The centralized WLAN
controller can in turn apply information from the regular updates to
ensure consistently among the WTPs."
 
Requirement: 
"The CAPWAP protocol MUST include support for regular exchanges of state
information between WTPs and WLAN controller.  Examples of state
information include WTP processing load and memory utilization."

Motivation: 
"A protocol that provides access to regular state information can in
turn be used to enhance WLAN configuration and performance.  The CAPWAP
protocol will be better equipped to address configuration related
problems with the regularly available state information.  So with
greater state information, control and management operations can be
improved."

Relation to Problem Statement: 
"One of the major challenges described in the Problem Statement is that
of maintaining consistent configuration across the numerous WTPs of a
WLAN.  This objective addresses the fundamental issue behind this -
availability of timely state information." 
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap

---

From: "Pat Calhoun" <[email-masked]>
Date: Wed, 1 Jun 2005 16:50:49 -0700

I'm ok with the recommended changes.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Saravanan Govindan
> Sent: Wednesday, June 01, 2005 2:34 AM
> To: [email-masked]
> Subject: [Capwap] IEEE Review 10 - Configuration Consistency
> 
> Configuration consistency is identified as an issue arising 
> from lack of appropriate monitoring. This is brought out in 
> the description and requirement.  
> 
> Description: 
> "WLANs in the CAPWAP framework contain numerous WTPs, each of 
> which need to be configured and managed in a consistent 
> manner.  The main concern in ensuring consistency is 
> availability of appropriate information corresponding to WTP 
> configuration states.  So configuration consistency can be 
> achieved by providing the centralized WLAN controller with 
> regular updates on the state of WTP operations.  The 
> centralized WLAN controller can in turn apply information 
> from the regular updates to ensure consistently among the WTPs."
>  
> Requirement: 
> "The CAPWAP protocol MUST include support for regular 
> exchanges of state information between WTPs and WLAN 
> controller.  Examples of state information include WTP 
> processing load and memory utilization."
> 
> Motivation: 
> "A protocol that provides access to regular state information 
> can in turn be used to enhance WLAN configuration and 
> performance.  The CAPWAP protocol will be better equipped to 
> address configuration related problems with the regularly 
> available state information.  So with greater state 
> information, control and management operations can be improved."
> 
> "One of the major challenges described in the Problem 
> Statement is that of maintaining consistent configuration 
> across the numerous WTPs of a WLAN.  This objective addresses 
> the fundamental issue behind this - availability of timely 
> state information."